/*

Firestorm
by Brent P. Newhall <brent@stun-software.com>

 */

#include <util/application.h>

#include "Firestorm.h"

using namespace os;





// ---------- Firestorm Application



class MainApplication : public Application
	{
	public:
		MainApplication( void );
	private:
		GameWindow *win;
	};




MainApplication :: MainApplication( void )
		: Application( "application/x-vind.STUN-Firestorm" )
	{
	win = new GameWindow( Rect( 20, 40, 700, 360 ) );
	win->loadLevelSet( "level_set" );
	win->Show();
	win->MakeFocus();
	}




// ---------- main()




int main( void )
	{
	MainApplication *thisApp;
	thisApp = new MainApplication();
	thisApp->Run();
	return( 0 );
	}







